#!/usr/bin/python
# Copyright (c) 2010 Chortos-2 <chortos@inbox.lv>

import os
tasknames = (os.path.curdir,)

class Files(object):
	__slots__ = 'name', 'paths'
	stdpaths = '%/', '%/^:%/', '%/^:', 'tests/%/', 'tests/', '^:%/', '^:', ''
	
	def __init__(self, name, paths = stdpaths):
		self.name = name
		self.paths = paths
	
	def __iter__(self):
		for path in paths:
			p = getpath(path, self.name)
			if isfile(p):
				yield p

def isfile(path):
	return os.path.isfile(path)

def getpath(path, name):
	return path + name